New binary name: gnome-user-docs instead of gnome-user-guide

Bug #1691867 reported by Gunnar Hjalmarsson on 2017-05-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-commander (Ubuntu)
Undecided
Unassigned
gnome-control-center (Ubuntu)
Undecided
Unassigned
gnome-documents (Ubuntu)
Undecided
Unassigned
gnome-flashback (Ubuntu)
Undecided
Unassigned
gnome-getting-started-docs (Ubuntu)
Medium
Gunnar Hjalmarsson
gnome-panel (Ubuntu)
Undecided
Unassigned
gnome-session (Ubuntu)
Undecided
Unassigned
gnome-shell (Ubuntu)
Undecided
Unassigned
gnome-user-docs (Ubuntu)
Medium
Gunnar Hjalmarsson
meta-gnome3 (Ubuntu)
Medium
Unassigned
ubuntu-docs (Ubuntu)
Medium
Gunnar Hjalmarsson
ubuntu-gnome-meta (Ubuntu)
Medium
Unassigned
unity-control-center (Ubuntu)
Undecided
Unassigned
vino (Ubuntu)
Undecided
Unassigned
yelp (Ubuntu)
Undecided
Unassigned

Bug Description

The binary package, which is currently built by the gnome-user-docs source package, is named gnome-user-guide. To bring it into line with upstream, the binary should be named gnome-user-docs.

This affects quite a few packages, which depend/recommend/suggest gnome-user-guide. OTOH, the latter is turned into a transitional dummy package.

Changed in meta-gnome3 (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in ubuntu-docs (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in ubuntu-gnome-meta (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in gnome-getting-started-docs (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in gnome-user-docs (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-user-docs - 3.24.2-0ubuntu2

---------------
gnome-user-docs (3.24.2-0ubuntu2) artful; urgency=medium

  * debian/rules, debian/control.in:
    - Name the binary package(s) gnome-user-docs instead of
      gnome-user-guide (LP: #1691867).
    - Split into language specific binary packages (LP: #1691872).
    - Don't strip translated pages (LP: #1689321).

 -- Gunnar Hjalmarsson <email address hidden> Fri, 19 May 2017 23:31:00 +0200

Changed in gnome-user-docs (Ubuntu):
status: Fix Committed → Fix Released
Changed in gnome-getting-started-docs (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Triaged → Fix Committed
Changed in ubuntu-docs (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-getting-started-docs - 3.24.1-0ubuntu2

---------------
gnome-getting-started-docs (3.24.1-0ubuntu2) artful; urgency=medium

  * debian/control.in:
    - Change dependency due to name change from gnome-user-guide to
      gnome-user-docs (LP: #1691867).
  * debian/rules:
    - Don't strip translated pages (LP: #1689321).

 -- Gunnar Hjalmarsson <email address hidden> Sat, 20 May 2017 16:42:00 +0200

Changed in gnome-getting-started-docs (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-panel - 1:3.24.1-1ubuntu2

---------------
gnome-panel (1:3.24.1-1ubuntu2) artful; urgency=medium

  * Build without -Bsymbolic-functions flag (works around LP: #1689680).
  * Update suggestion: gnome-user-guide → gnome-user-docs (LP: #1691867).

 -- Dmitry Shachnev <email address hidden> Sat, 10 Jun 2017 19:12:29 +0300

Changed in gnome-panel (Ubuntu):
status: New → Fix Released
lolo (loloadam373) on 2017-07-24
Changed in gnome-user-docs (Ubuntu):
assignee: Gunnar Hjalmarsson (gunnarhj) → lolo (loloadam373)
information type: Public → Public Security
Gunnar Hjalmarsson (gunnarhj) wrote :

Spam reverted

Changed in gnome-user-docs (Ubuntu):
assignee: lolo (loloadam373) → Gunnar Hjalmarsson (gunnarhj)
information type: Public Security → Public
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-documents - 3.25.91-1

---------------
gnome-documents (3.25.91-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release
  * Update build-dependencies according to upstream configure.ac changes:
    - drop intltool (in favor of gettext)
    - switch to tracker 2.0
    - bump required gtk+ and gjs versions
  * Drop debian/patches/git_require-gepub-0.5.patch, included upstream.
  * Refresh remaining patches to apply without fuzz.

  [ Jeremy Bicha ]
  * Recommend gnome-user-docs instead of transitional package (LP: #1691867)

 -- Jeremy Bicha <email address hidden> Wed, 13 Sep 2017 18:49:10 -0400

Changed in gnome-documents (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package meta-gnome3 - 1:3.22+5ubuntu1

---------------
meta-gnome3 (1:3.22+5ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining changes:
    - Drop libreoffice-evolution depends
    - Allow epiphany-browser to fulfill browser dependency on s390x
    - Have gnome-games continue to depend on aisleriot since Ubuntu's
      aisleriot doesn't use gconf
    - Unversion dependencies since Ubuntu doesn't have the latest versions:
      + gnome-user-share
      + vino
  * Build-depend on gnome-shell to only build on architectures where it's
    available (LP: #1712083)

meta-gnome3 (1:3.22+5) unstable; urgency=medium

  * core: Depend on gnome-user-docs instead of transitional pkg
    (LP: #1691867)
  * core: Allow chromium-browser to fulfill browser dependency
    (for Ubuntu)
  * gnome: Recommend nautilus-extension-brasero instead of brasero

meta-gnome3 (1:3.22+4) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Make gnome-core metapackage depend against gstreamer1.0-packagekit, this
    will allow automatic codec installation

  [ Jeremy Bicha ]
  * core: Replace tracker-gui with tracker (tracker-gui is being removed)
  * gnome: Add gnome-todo. It's part of GNOME 3.26.

meta-gnome3 (1:3.22+3) unstable; urgency=medium

  * debian/control.in: Install shotwell by default again and keep gnome-photos
    as an alternative. gnome-photos is not mature enough for now.

meta-gnome3 (1:3.22+2) unstable; urgency=medium

  * Add chrome-gnome-shell dependency to gnome-core. This enables Chromium and
    newer versions of Firefox to use https://extensions.gnome.org.

 -- Jeremy Bicha <email address hidden> Mon, 18 Sep 2017 22:42:14 -0400

Changed in meta-gnome3 (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-docs - 17.10.6

---------------
ubuntu-docs (17.10.6) artful; urgency=medium

  * debian/control.in, debian/control:
    - Change recommend due to name change from gnome-user-guide to
      gnome-user-docs (LP: #1691867).
    - Bump Standards-Version to 4.1.0.
  * html/Makefile:
    - Use temporary dir to exclude symlinks; renamed from
      Makefile-from-installed.
    - Additional languages in gnome-user-docs.
  * net-chat-skype.page:
    - Updated for Skype for Linux 5.X (LP: #1704790).
  * prefs-language-install.page:
    - Steps to access Language Support modified.
  * keyboard-layouts.page:
    - Info about the show-all-sources option added.
  * translate.page, shell-guest-session.page:
    - Disabled for now.
  * addremove-*.page:
    - Descriptions on launching programs modified.
  * Updated ubuntu-help.pot.
  * The latest translations exported from Launchpad.
  * bs.po, es.po: Mallard syntax errors fixed.
  * scripts/update-translations.sh:
    - Don't modify Makefile.am.

 -- Gunnar Hjalmarsson <email address hidden> Tue, 26 Sep 2017 18:26:00 +0200

Changed in ubuntu-docs (Ubuntu):
status: Fix Committed → Fix Released
Jeremy Bicha (jbicha) on 2017-10-08
Changed in ubuntu-gnome-meta (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-session - 3.26.1-0ubuntu3

---------------
gnome-session (3.26.1-0ubuntu3) artful; urgency=medium

  [ Gunnar Hjalmarsson ]
  * debian/patches/ignore_gsettings_region.patch:
    - Ignore the "region" gsettings value - users' setting of LC_*
      variables saved in ~/.pam_environment (LP: #1722002).
  * debian/control, debian/control.in:
    - Suggest gnome-user-docs instead of gnome-user-guide
      (LP: #1691867).

 -- Gunnar Hjalmarsson <email address hidden> Mon, 09 Oct 2017 20:01:00 +0200

Changed in gnome-session (Ubuntu):
status: New → Fix Released
Jeremy Bicha (jbicha) on 2017-10-22
Changed in yelp (Ubuntu):
status: New → Fix Released
Jeremy Bicha (jbicha) on 2017-12-28
Changed in vino (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-commander - 1.4.8-1.1

---------------
gnome-commander (1.4.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on python3-scour to fix build failure with latest scour
  * Drop obsolete Build-Depends on rarian-compat (Closes: #885640)
  * Don't suggest gnome-user-guide (Closes: #879561) (LP: #1691867)

 -- Jeremy Bicha <email address hidden> Thu, 28 Dec 2017 14:12:57 -0500

Changed in gnome-commander (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.9 KiB)

This bug was fixed in the package gnome-control-center - 1:3.27.92-1ubuntu1

---------------
gnome-control-center (1:3.27.92-1ubuntu1) bionic; urgency=medium

  [ Jeremy Bicha ]
  * Sync with Debian. (LP: #1750174, LP: #1752928, LP: #1691867)
    Remaining changes:
    + debian/control.in:
      - Depend on fonts-ubuntu, language-selector-gnome, and
        whoopsie-preferences
      - Depend on instead of Recommend network-manager-gnome and
        system-config-printer-common
      - Recommend ibus, unity-control-center-faces, & ubuntu-system-service
      - Suggest instead of Recommend realmd and rygel
      - Build-Depend on libwhoopsie-preferences-dev
    + Split gnome-control-center-faces to a separate package so
      that it can be used by unity-control-center
    + Install apport hook
    + debian/gnome-control-center-data.install:
      - Don't install gnome-control-center.pkla since we use
        policykit-desktop-privileges instead
      - Install additional assets used by unity-control-center
    * debian/ubuntu-logo-icon.png, debian/source/include-binaries,
      debian/gnome-control-center-data.install: Include an Ubuntu logo
    * debian/gnome-control-center-data.links:
      - Link audio-speaker-center* to audio-speaker-mono* so that an
        icon is shown in the test speaker panel. (LP: #1704002)
    + debian/rules: Enable whoospie integration
    + debian/patches:
      - 08_lowercase_user_names.patch:
         Disallow upper-case letters in user names for compliance with adduser
      - 52_region_language.patch:
         Adapt region panel to use Ubuntu style regions
      - 64_restore_terminal_keyboard_shortcut.patch
         Bring back terminal shortcut
      - 70_allow_sound_above_100.patch:
         Allow setting volume above 100% in the Ubuntu session
      - 71_ubuntu_dock_settings.patch
         Add Dock panel for Ubuntu session
      - 99_add_lock-on-suspend.patch
         Add option to lock on suspend
      - ubuntu-gnome-version.patch:
         Add Ubuntu branding to Details panel
      - ubuntu-region-packagekit.patch
         fix detection of installed language packs
      - ubuntu-region-langpack-install.patch:
         check for missing language packs when loading region panel to pull
         in packs that arent included with the installer
      - ubuntu-language-support.patch
         Add Language Support button to Region & Language panel to
         work around (LP: #1631750)
      - ubuntu-printer-support.patch
         Add Advanced Printer Settings button to work around missing printer
         sharing feature (LP: #1718083)
      - ubuntu-legacy-notifications.patch
         Ubuntu ships compatibility names for .desktop that got renamed
         upstream, those use NoDisplay but the panel doesn't respect that key,
         skip known buggy entries for file-roller and nautilus (LP: #1716267)
      - connectivity-switch.patch
         Add Connectivity Checking switch to Privacy panel
      - privacy-panel-whoopsie.patch
         Support Ubuntu's whoopsie service in the Privacy panel
      - ubuntu-white-lists.patch
         Ensure lists have white background when used with Ambiance & Radiance
  * Update...

Read more...

Changed in gnome-control-center (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-flashback - 3.28.0-1ubuntu1

---------------
gnome-flashback (3.28.0-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules:
      + Add an epoch number to gnome-session-flashback package.
    - debian/gnome-flashback-common.gsettings-override:
      + Disable some not needed gnome-flashback components.
      + Add the default settings for GNOME Flashback sessions.
    - debian/gnome-session-flashback.target:
      + The target file for systemd, based on ubuntu-session.target.
      + Install this file into /usr/lib/systemd/user/ directory.
    - debian/control.in:
      + Bump gnome-session-bin dependency to 3.18.1.2-1ubuntu5, to be able
        to use run-systemd-session.
      + Add dependencies on dbus-user-session, indicator-common, nautilus
        and systemd.
      + Use Ubuntu VCS fields.
    - debian/patches/run-systemd-session.diff:
      + Use run-systemd-session script for running the session.
    - debian/patches/support-indicator-keyboard.diff:
      + Support “org.gnome.desktop.input-sources current” key, to make
        indicator-keyboard working.
  * Revert removing nautilus-classic from required components.
    Ubuntu 18.04 ships Nautilus 3.26, which still has desktop icons support.
  * Update suggestion: gnome-user-guide → gnome-user-docs (LP: #1691867).

 -- Dmitry Shachnev <email address hidden> Wed, 28 Mar 2018 14:45:38 +0300

Changed in gnome-flashback (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers